Tile(1.8)

NAME
Tile - the AfterStep window tiler module

SYNOPSIS
Tile [-f config_file] [-v | --version] [-h | --help]
[-a] [-desk] [-flatx] [-flaty] [-H] [-m] [-mn arg]
[-noraise] [-noresize] [-nostretch] [-r] [-s] [-t] [-u]
[x y [offset] maxwidth maxheight]

Although Tile can be run from the command line, it is normally spawned by afterstep from within an afterstep menu file by 'Tile':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Tile"
	Module "Tile" Tile
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Tile module attempts to tile windows on the current desktop view subject to certain constraints. Horizontal or vertical tiling is performed so that each window does not overlap another, and by default each window is resized to its nearest resize increment (note sometimes some space might appear between tiled windows -- this is why).

OPTIONS

-f config_file
    Use config_file instead of the default settings.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

-a  Causes all window styles to be affected, even ones with the WindowListSkip style.

-desk
    Causes all windows on the desk to be cascaded instead of the current screen only.

-flatx
    Inhibits border width increment.

-flaty
    Inhibits border height increment.

-H  Tiles horizontally (default is to tile vertically).

-m  Causes maximized windows to also be affected (implied by -all).

-mn arg
    Tiles up to arg windows in tile direction. If more windows exist, a new direction row or column is created (in effect, a matrix is created).

-noraise
    Inhibits window raising, leaving the depth ordering intact.

-noresize
    Inhibits window resizing, leaving window sizes intact.

-nostretch
    Inhibits window growth to fit tile. Windows are shrunk to fit the tile but not expanded.

-r  Reverses the window sequence.

-s  Causes sticky windows to also be affected (implied by -all).

-t  Causes transient windows to also be affected (implied by -all).

-u  Causes untitled windows to also be affected (implied by -all).

INVOCATION
Tile can be invoked from the autoexec file or by binding the action "Module Tile [args]" to a key-stroke in a feel file, or from a menu item as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Tile.

CONFIGURATION OPTIONS
Command-line arguments passed to Tile are described in the OPTIONS section, above. Up to four numbers can be placed on the command line that are not switches. The first pair specify an x and y offset to start the first window (default is 0, 0). The second pair specify an absolute coordinate reference denoting the lower right bounding box for tiling. If any number is suffixed with the letter p, then it is taken to be a pixel value, otherwise it is interpreted as a screen percentage. Specifying zero for any parameter is equivalent to not specifying it. Configuration options can be set in a configuration file, which Tile will then read with the -f switch.

EXAMPLES
This invocation will horizontally tile windows with a bounding box which starts at 10 by 10 percent into and down the screen and ends at 90 by 90 percent into and down the screen. Tile -H 10 10 90 90

BUGS
It is probably not a good idea to delete windows while windows are being tiled.

AUTHOR
Andrew Veliath
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1), Cascade(1)